Create a gist now

Instantly share code, notes, and snippets.

Output of Test Connection .py The dynamic class loader breaks on python 3 after trivial python 2 to 3 porting is completed. Can it be fixed?
Traceback (most recent call last):
File "/Users/hartsocks/PycharmProjects/pyvmomi/pyVmomi/VmomiSupport.py", line 265, in __getattr__
typeObj = GetWsdlType(XMLNS_VMODL_BASE, attr)
File "/Users/hartsocks/PycharmProjects/pyvmomi/pyVmomi/VmomiSupport.py", line 1018, in GetWsdlType
typ = _LoadVmodlType(_wsdlDefMap[(ns, name)][0])
KeyError: ('urn:vim25', 'fault')
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Applications/PyCharm.app/helpers/pycharm/utrunner.py", line 116, in <module>
modules = [loadSource(a[0])]
File "/Applications/PyCharm.app/helpers/pycharm/utrunner.py", line 40, in loadSource
module = imp.load_source(moduleName, fileName)
File "/Library/Frameworks/Python.framework/Versions/3.4/lib/python3.4/imp.py", line 171, in load_source
module = methods.load()
File "<frozen importlib._bootstrap>", line 1220, in load
File "<frozen importlib._bootstrap>", line 1200, in _load_unlocked
File "<frozen importlib._bootstrap>", line 1129, in _exec
File "<frozen importlib._bootstrap>", line 1471, in exec_module
File "<frozen importlib._bootstrap>", line 321, in _call_with_frames_removed
File "/Users/hartsocks/Projects/pyvmomi-integration-tests/pyvit/vcsim/test_basic_connection.py", line 16, in <module>
from pyVim import connect
File "/Users/hartsocks/PycharmProjects/pyvmomi/pyVim/connect.py", line 86, in <module>
class VimSessionOrientedStub(SessionOrientedStub):
File "/Users/hartsocks/PycharmProjects/pyvmomi/pyVim/connect.py", line 92, in VimSessionOrientedStub
vim.fault.NotAuthenticated,
File "/Users/hartsocks/PycharmProjects/pyvmomi/pyVmomi/VmomiSupport.py", line 267, in __getattr__
raise AttributeError(attr)
AttributeError: fault
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment